Package org.eclipse.birt.chart.model.attribute

# Enum TriggerCondition

java.lang.Object
java.lang.Enum<TriggerCondition>
org.eclipse.birt.chart.model.attribute.TriggerCondition

All Implemented Interfaces:
  `Serializable`, `Comparable<TriggerCondition>`, `java.lang.constant.Constable`, `org.eclipse.emf.common.util.Enumerator`

public enum TriggerCondition extends Enum<TriggerCondition> implements org.eclipse.emf.common.util.Enumerator
A representation of the literals of the enumeration ' Trigger Condition', and utility methods for working with them. This type defines the allowed values for Trigger conditions (for interactivity with chart). Any new condition needs to be added here to be supported.

See Also:
  - `AttributePackage.getTriggerCondition()`

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ACCESSIBILITY_LITERAL`
The 'Accessibility' literal object.
`MOUSE_CLICK_LITERAL`
Deprecated.
use ONCLICK_LITERAL instead.
`MOUSE_HOVER_LITERAL`
Deprecated.
use ONMOUSEOVER_LITERAL instead.
`ONBLUR_LITERAL`
The 'Onblur' literal object.
`ONCLICK_LITERAL`
The 'Onclick' literal object.
`ONDBLCLICK_LITERAL`
The 'Ondblclick' literal object.
`ONFOCUS_LITERAL`
The 'Onfocus' literal object.
`ONKEYDOWN_LITERAL`
The 'Onkeydown' literal object.
`ONKEYPRESS_LITERAL`
The 'Onkeypress' literal object.
`ONKEYUP_LITERAL`
The 'Onkeyup' literal object.
`ONLOAD_LITERAL`
The 'Onload' literal object.
`ONMOUSEDOWN_LITERAL`
The 'Onmousedown' literal object.
`ONMOUSEMOVE_LITERAL`
The 'Onmousemove' literal object.
`ONMOUSEOUT_LITERAL`
The 'Onmouseout' literal object.
`ONMOUSEOVER_LITERAL`
The 'Onmouseover' literal object.
`ONMOUSEUP_LITERAL`
The 'Onmouseup' literal object.
`ONRIGHTCLICK_LITERAL`
The 'Onrightclick' literal object.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ACCESSIBILITY`
The 'Accessibility' literal value.
`static final int`
`MOUSE_CLICK`
The 'Mouse Click' literal value.
`static final int`
`MOUSE_HOVER`
The 'Mouse Hover' literal value.
`static final int`
`ONBLUR`
The 'Onblur' literal value.
`static final int`
`ONCLICK`
The 'Onclick' literal value.
`static final int`
`ONDBLCLICK`
The 'Ondblclick' literal value.
`static final int`
`ONFOCUS`
The 'Onfocus' literal value.
`static final int`
`ONKEYDOWN`
The 'Onkeydown' literal value.
`static final int`
`ONKEYPRESS`
The 'Onkeypress' literal value.
`static final int`
`ONKEYUP`
The 'Onkeyup' literal value.
`static final int`
`ONLOAD`
The 'Onload' literal value.
`static final int`
`ONMOUSEDOWN`
The 'Onmousedown' literal value.
`static final int`
`ONMOUSEMOVE`
The 'Onmousemove' literal value.
`static final int`
`ONMOUSEOUT`
The 'Onmouseout' literal value.
`static final int`
`ONMOUSEOVER`
The 'Onmouseover' literal value.
`static final int`
`ONMOUSEUP`
The 'Onmouseup' literal value.
`static final int`
`ONRIGHTCLICK`
The 'Onrightclick' literal value.
`static final List<TriggerCondition>`
`VALUES`
A public read-only list of all the 'Trigger Condition' enumerators.

## Method Summary

Modifier and Type
Method
Description
`static TriggerCondition`
`get(int value)`
Returns the 'Trigger Condition' literal with the specified integer value.
`static TriggerCondition`
`get(String literal)`
Returns the 'Trigger Condition' literal with the specified literal value.
`static TriggerCondition`
`getByName(String name)`
Returns the 'Trigger Condition' literal with the specified name.
`String`
`getLiteral()`
`String`
`getName()`
`int`
`getValue()`
`String`
`toString()`
Returns the literal value of the enumerator, which is its string representation.
`static TriggerCondition`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TriggerCondition[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MOUSE_HOVER_LITERAL

public static final TriggerCondition MOUSE_HOVER_LITERAL
Deprecated.
use ONMOUSEOVER_LITERAL instead.
The 'Mouse Hover' literal object.

If the meaning of 'Mouse Hover' literal object isn't clear, there really should be more of a description here...

See Also:
  - `MOUSE_HOVER`

### MOUSE_CLICK_LITERAL

public static final TriggerCondition MOUSE_CLICK_LITERAL
Deprecated.
use ONCLICK_LITERAL instead.
The 'Mouse Click' literal object.

If the meaning of 'Mouse Click' literal object isn't clear, there really should be more of a description here...

See Also:
  - `MOUSE_CLICK`

### ONCLICK_LITERAL

public static final TriggerCondition ONCLICK_LITERAL
The 'Onclick' literal object.

See Also:
  - `ONCLICK`

### ONDBLCLICK_LITERAL

public static final TriggerCondition ONDBLCLICK_LITERAL
The 'Ondblclick' literal object.

See Also:
  - `ONDBLCLICK`

### ONMOUSEDOWN_LITERAL

public static final TriggerCondition ONMOUSEDOWN_LITERAL
The 'Onmousedown' literal object.

See Also:
  - `ONMOUSEDOWN`

### ONMOUSEUP_LITERAL

public static final TriggerCondition ONMOUSEUP_LITERAL
The 'Onmouseup' literal object.

See Also:
  - `ONMOUSEUP`

### ONMOUSEOVER_LITERAL

public static final TriggerCondition ONMOUSEOVER_LITERAL
The 'Onmouseover' literal object.

See Also:
  - `ONMOUSEOVER`

### ONMOUSEMOVE_LITERAL

public static final TriggerCondition ONMOUSEMOVE_LITERAL
The 'Onmousemove' literal object.

See Also:
  - `ONMOUSEMOVE`

### ONMOUSEOUT_LITERAL

public static final TriggerCondition ONMOUSEOUT_LITERAL
The 'Onmouseout' literal object.

See Also:
  - `ONMOUSEOUT`

### ONFOCUS_LITERAL

public static final TriggerCondition ONFOCUS_LITERAL
The 'Onfocus' literal object.

See Also:
  - `ONFOCUS`

### ONBLUR_LITERAL

public static final TriggerCondition ONBLUR_LITERAL
The 'Onblur' literal object.

See Also:
  - `ONBLUR`

### ONKEYDOWN_LITERAL

public static final TriggerCondition ONKEYDOWN_LITERAL
The 'Onkeydown' literal object.

See Also:
  - `ONKEYDOWN`

### ONKEYPRESS_LITERAL

public static final TriggerCondition ONKEYPRESS_LITERAL
The 'Onkeypress' literal object.

See Also:
  - `ONKEYPRESS`

### ONKEYUP_LITERAL

public static final TriggerCondition ONKEYUP_LITERAL
The 'Onkeyup' literal object.

See Also:
  - `ONKEYUP`

### ACCESSIBILITY_LITERAL

public static final TriggerCondition ACCESSIBILITY_LITERAL
The 'Accessibility' literal object.

See Also:
  - `ACCESSIBILITY`

### ONLOAD_LITERAL

public static final TriggerCondition ONLOAD_LITERAL
The 'Onload' literal object.

See Also:
  - `ONLOAD`

### ONRIGHTCLICK_LITERAL

public static final TriggerCondition ONRIGHTCLICK_LITERAL
The 'Onrightclick' literal object.

See Also:
  - `ONRIGHTCLICK`

## Field Details

### MOUSE_HOVER

public static final int MOUSE_HOVER
The 'Mouse Hover' literal value. deprecated

See Also:
  - `MOUSE_HOVER_LITERAL`
  - Constant Field Values

### MOUSE_CLICK

public static final int MOUSE_CLICK
The 'Mouse Click' literal value. deprecated

See Also:
  - `MOUSE_CLICK_LITERAL`
  - Constant Field Values

### ONCLICK

public static final int ONCLICK
The 'Onclick' literal value.

If the meaning of 'Onclick' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ONCLICK_LITERAL`
  - Constant Field Values

### ONDBLCLICK

public static final int ONDBLCLICK
The 'Ondblclick' literal value.

If the meaning of 'Ondblclick' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ONDBLCLICK_LITERAL`
  - Constant Field Values

### ONMOUSEDOWN

public static final int ONMOUSEDOWN
The 'Onmousedown' literal value.

If the meaning of 'Onmousedown' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ONMOUSEDOWN_LITERAL`
  - Constant Field Values

### ONMOUSEUP

public static final int ONMOUSEUP
The 'Onmouseup' literal value.

If the meaning of 'Onmouseup' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ONMOUSEUP_LITERAL`
  - Constant Field Values

### ONMOUSEOVER

public static final int ONMOUSEOVER
The 'Onmouseover' literal value.

If the meaning of 'Onmouseover' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ONMOUSEOVER_LITERAL`
  - Constant Field Values

### ONMOUSEMOVE

public static final int ONMOUSEMOVE
The 'Onmousemove' literal value.

If the meaning of 'Onmousemove' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ONMOUSEMOVE_LITERAL`
  - Constant Field Values

### ONMOUSEOUT

public static final int ONMOUSEOUT
The 'Onmouseout' literal value.

If the meaning of 'Onmouseout' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ONMOUSEOUT_LITERAL`
  - Constant Field Values

### ONFOCUS

public static final int ONFOCUS
The 'Onfocus' literal value.

If the meaning of 'Onfocus' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ONFOCUS_LITERAL`
  - Constant Field Values

### ONBLUR

public static final int ONBLUR
The 'Onblur' literal value.

If the meaning of 'Onblur' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ONBLUR_LITERAL`
  - Constant Field Values

### ONKEYDOWN

public static final int ONKEYDOWN
The 'Onkeydown' literal value.

If the meaning of 'Onkeydown' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ONKEYDOWN_LITERAL`
  - Constant Field Values

### ONKEYPRESS

public static final int ONKEYPRESS
The 'Onkeypress' literal value.

If the meaning of 'Onkeypress' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ONKEYPRESS_LITERAL`
  - Constant Field Values

### ONKEYUP

public static final int ONKEYUP
The 'Onkeyup' literal value.

If the meaning of 'Onkeyup' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ONKEYUP_LITERAL`
  - Constant Field Values

### ACCESSIBILITY

public static final int ACCESSIBILITY
The 'Accessibility' literal value.

If the meaning of 'Accessibility' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ACCESSIBILITY_LITERAL`
  - Constant Field Values

### ONLOAD

public static final int ONLOAD
The 'Onload' literal value.

If the meaning of 'Onload' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ONLOAD_LITERAL`
  - Constant Field Values

### ONRIGHTCLICK

public static final int ONRIGHTCLICK
The 'Onrightclick' literal value.

If the meaning of 'Onrightclick' literal object isn't clear, there really should be more of a description here...

See Also:
  - `ONRIGHTCLICK_LITERAL`
  - Constant Field Values

### VALUES

public static final List<TriggerCondition> VALUES
A public read-only list of all the 'Trigger Condition' enumerators.

## Method Details

### values

public static TriggerCondition[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TriggerCondition valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### get

public static TriggerCondition get(String literal)
Returns the 'Trigger Condition' literal with the specified literal value.

### getByName

public static TriggerCondition getByName(String name)
Returns the 'Trigger Condition' literal with the specified name.

### get

public static TriggerCondition get(int value)
Returns the 'Trigger Condition' literal with the specified integer value.

### getValue

public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

### getName

public String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

### getLiteral

public String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

### toString

public String toString()
Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `Enum<TriggerCondition>`